MonoMac 0.0.0.0 System.ValueType System.IEquatable<MonoMac.OpenGL.Vector2> Represents a 2D vector using two single-precision floating-point numbers. The Vector2 structure is suitable for interoperation with unmanaged code requiring two consecutive floats.
- Constructor
  0.0.0.0
  System.Obsolete
  The Vector2 to copy components from.
  Constructs a new Vector2 from the given Vector2.
  To be added.
- Constructor
  0.0.0.0
  System.Obsolete
  The Vector3 to copy components from. Z is discarded.
  Constructs a new Vector2 from the given Vector3.
  To be added.
- Constructor
  0.0.0.0
  System.Obsolete
  The Vector4 to copy components from. Z and W are discarded.
  Constructs a new Vector2 from the given Vector4.
  To be added.
- Constructor
  0.0.0.0
  The value that will initialize this instance.
  Constructs a new instance.
  To be added.
- Constructor
  0.0.0.0
  The x coordinate of the net Vector2.
  The y coordinate of the net Vector2.
  Constructs a new Vector2.
  To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Add() method instead.")
  System.Void `` Right operand. This parameter is only read from. Add the Vector passed as parameter to this instance. To be added.
- Method
  0.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("Use static Add() method instead.")
  System.Void `` Right operand. This parameter is only read from. Add the Vector passed as parameter to this instance. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand. Right operand. Adds two vectors. Result of operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of operation. Adds two vectors. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` `` `` `` First input Vector Second input Vector Third input Vector First Barycentric Coordinate Second Barycentric Coordinate Interpolate 3 Vectors using Barycentric coordinates a when u=v=0, b when u=1,v=0, c when u=0,v=1, and a linear combination of a,b,c otherwise To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` `` `` First input Vector. Second input Vector. Third input Vector. First Barycentric Coordinate. Second Barycentric Coordinate. Output Vector. a when u=v=0, b when u=1,v=0, c when u=0,v=1, and a linear combination of a,b,c otherwise Interpolate 3 Vectors using Barycentric coordinates To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` `` Input vector Minimum vector Maximum vector Clamp a vector to the given minimum and maximum vectors The clamped vector To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` Input vector Minimum vector Maximum vector The clamped vector Clamp a vector to the given minimum and maximum vectors To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` First operand Second operand Calculate the component-wise maximum of two vectors The component-wise maximum To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand The component-wise maximum Calculate the component-wise maximum of two vectors To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` First operand Second operand Calculate the component-wise minimum of two vectors The component-wise minimum To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand The component-wise minimum Calculate the component-wise minimum of two vectors To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Divide() method instead.")
  System.Void `` Scalar operand. Divide this instance by a scalar. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Divide() method instead.")
  MonoMac.OpenGL.Vector2 `` `` Vector operand Scalar operand Divide a vector by a scalar Result of the division To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Divide() method instead.")
  System.Void `` `` `` Vector operand Scalar operand Result of the division Divide a vector by a scalar To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand. Right operand. Divides a vector by the components of a vector (scale). Result of the operation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand. Right operand. Divides a vector by a scalar. Result of the operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Divide a vector by the components of a vector (scale). To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Divides a vector by a scalar. To be added.
- Method
  0.0.0.0
  System.Single `` `` First operand Second operand Calculate the dot (scalar) product of two vectors The dot product of the two inputs To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand The dot product of the two inputs Calculate the dot (scalar) product of two vectors To be added.
- Method
  0.0.0.0
  System.Boolean `` A vector to compare with this vector. Indicates whether the current vector is equal to another vector. true if the current vector is equal to the vector parameter; otherwise, false. To be added.
- Method
  0.0.0.0
  System.Boolean `` The object to compare to. Indicates whether this instance and a specified object are equal. True if the instances are equal; false otherwise. To be added.
- Method
  0.0.0.0
  System.Int32 Returns the hashcode for this instance. A System.Int32 containing the unique hashcode for this instance. To be added.
- Property
  0.0.0.0
  System.Single Gets the length (magnitude) of the vector. To be added. To be added.
- Property
  0.0.0.0
  System.Single Gets an approximation of the vector length (magnitude). To be added. This property uses an approximation of the square root function to calculate vector magnitude, with an upper error bound of 0.001.
- Property
  0.0.0.0
  System.Single Gets the square of the vector length (magnitude). To be added. This property avoids the costly square root operation required by the Length property. This makes it more suitable for comparisons.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` `` First input vector Second input vector The blend factor. a when blend=0, b when blend=1. Returns a new Vector that is the linear blend of the 2 given Vectors a when blend=0, b when blend=1, and a linear combination otherwise To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` First input vector Second input vector The blend factor. a when blend=0, b when blend=1. a when blend=0, b when blend=1, and a linear combination otherwise Returns a new Vector that is the linear blend of the 2 given Vectors To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand Right operand Returns the Vector3 with the minimum magnitude The minimum Vector3 To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand Right operand Returns the Vector3 with the minimum magnitude The minimum Vector3 To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` Scalar operand. Multiply this instance by a scalar. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  MonoMac.OpenGL.Vector2 `` `` Vector operand Scalar operand Multiply a vector and a scalar Result of the multiplication To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` `` `` Vector operand Scalar operand Result of the multiplication Multiply a vector and a scalar To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand. Right operand. Multiplies a vector by the components a vector (scale). Result of the operation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand. Right operand. Multiplies a vector by a scalar. Result of the operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Multiplies a vector by the components of a vector (scale). To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Multiplies a vector by a scalar. To be added.
- Method
  0.0.0.0
  System.Void Scales the Vector2 to unit length. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` The input vector Scale a vector to unit length The normalized vector To be added.
- Method
  0.0.0.0
  System.Void `` `` The input vector The normalized vector Scale a vector to unit length To be added.
- Method
  0.0.0.0
  System.Void Scales the Vector2 to approximately unit length. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` The input vector Scale a vector to approximately unit length The normalized vector To be added.
- Method
  0.0.0.0
  System.Void `` `` The input vector The normalized vector Scale a vector to approximately unit length To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector2 Defines an instance with all components set to 1. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand. Right operand. Adds the specified instances. Result of addition. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand Right operand Divides the specified instance by a scalar. Result of the division. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` Left operand. Right operand. Compares the specified instances for equality. True if both instances are equal; false otherwise. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` Left operand. Right operand. Compares the specified instances for inequality. True if both instances are not equal; false otherwise. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand. Right operand. Multiplies the specified instance by a scalar. Result of multiplication. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand. Right operand. Multiplies the specified instance by a scalar. Result of multiplication. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` Left operand. Right operand. Subtracts the specified instances. Result of subtraction. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` Operand. Negates the specified instance. Result of negation. To be added.
- Property
  0.0.0.0
  MonoMac.OpenGL.Vector2 Gets the perpendicular vector on the left side of this vector. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.OpenGL.Vector2 Gets the perpendicular vector on the right side of this vector. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` The scaling of the individual components. Scales this instance by the given parameter. To be added.
- Method
  0.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` The scaling of the individual components. Scales this instance by the given parameter. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` `` The scale of the X component. The scale of the Y component. Scales the current Vector2 by the given amounts. To be added.
- Field
  0.0.0.0
  System.Int32 Defines the size of the Vector2 struct in bytes. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Subtract() method instead.")
  System.Void `` Right operand. This parameter is only read from. Subtract the Vector passed as parameter from this instance. To be added.
- Method
  0.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("Use static Subtract() method instead.")
  System.Void `` Right operand. This parameter is only read from. Subtract the Vector passed as parameter from this instance. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Subtract() method instead.")
  MonoMac.OpenGL.Vector2 `` `` First operand Second operand Subtract one Vector from another Result of subtraction To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Subtract() method instead.")
  System.Void `` `` `` First operand Second operand Result of subtraction Subtract one Vector from another To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` First operand Second operand Subtract one Vector from another Result of subtraction To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand Result of subtraction Subtract one Vector from another To be added.
- Method
  0.0.0.0
  System.String Returns a System.String that represents the current Vector2. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` `` The vector to transform. The quaternion to rotate the vector by. Transforms a vector by a quaternion rotation. The result of the operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The vector to transform. The quaternion to rotate the vector by. The result of the operation. Transforms a vector by a quaternion rotation. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector2 Defines a unit-length Vector2 that points towards the X-axis. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector2 Defines a unit-length Vector2 that points towards the Y-axis. To be added.
- Field
  0.0.0.0
  System.Single The X component of the Vector2. To be added.
- Field
  0.0.0.0
  System.Single The Y component of the Vector2. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector2 Defines a zero-length Vector2. To be added.